{% extends 'basic.html' %}

{% block title %}Dashboard{% endblock %}
{% block content %}
    <h1>Dashboard <small>Wellcome <span class="text-primary">{{ session.username }}</span></small></h1>
<a class="btn btn-primary" href="/add-article" style="margin-bottom: 10px">Add new article</a>
<table class="table">
    <thead class="thead-dark">
        <tr>
            <th scope="col">#</th>
            <th scope="col">Title</th>
            <th scope="col">Author</th>
            <th scope="col">Updated</th>
            <th scope="col"></th>
        </tr>
    </thead>
    <tbody>
        {% set ns = namespace(found=1) %}
        {% for post in posts %}
        <tr>
            <th scope="row">{{ ns.found }}</th>
            {% set ns.found = ns.found + 1 %}
            <td><a href="/posts/{{ post.id }}">{{ post.title }}</a></td>
            <td>{{ post.author }}</td>
            <td>{{ post.creation_time.strftime("%I:%M %d-%m-%Y" ) }}</td>
            <td class="float-right">
                <a class="btn btn-warning" href="/edit-article/{{ post.id }}" style="margin-right: 10px">Edit</a>
                <form action="{{ url_for('views.delete_article', id=post.id) }}" method="post" style="display: inline-block;">
                    <input type="hidden" name="_method" value="DELETE">
                    <input type="submit" value="Delete" class="btn btn-danger">
                </form>
            </td>
        </tr>
        {% endfor %}
    </tbody>
</table>
{% endblock %}